//
//  MyView.m
//  My2048
//
//  Created by Ibokan on 15/10/19.
//  Copyright © 2015年 Crazy凡. All rights reserved.
//

#import "MyView.h"

@interface MyView ()
@property (nonatomic,strong)NSArray *color;
@end

@implementation MyView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self setValue:0];
        self.flag = NO;
        self.adjustsFontSizeToFitWidth = YES;
        //[self sizeToFit];
        self.textAlignment = NSTextAlignmentCenter;
        self.color = @[
            [UIColor colorWithRed:[self c:227] green:[self c:106] blue:[self c:0] alpha:1],
            [UIColor colorWithRed:[self c:237] green:[self c:178] blue:[self c:0] alpha:1],
            [UIColor colorWithRed:[self c:249] green:[self c:230] blue:[self c:0] alpha:1],
            [UIColor colorWithRed:[self c:208] green:[self c:248] blue:[self c:26] alpha:1],
            [UIColor colorWithRed:[self c:165] green:[self c:245] blue:[self c:37] alpha:1],
            [UIColor colorWithRed:[self c:143] green:[self c:242] blue:[self c:34] alpha:1],
            [UIColor colorWithRed:[self c:136] green:[self c:244] blue:[self c:44] alpha:1],
            [UIColor colorWithRed:[self c:114] green:[self c:209] blue:[self c:108] alpha:1],
            [UIColor colorWithRed:[self c:89] green:[self c:162] blue:[self c:162] alpha:1],
            [UIColor colorWithRed:[self c:57] green:[self c:105] blue:[self c:209] alpha:1],
            [UIColor colorWithRed:[self c:44] green:[self c:56] blue:[self c:253] alpha:1],
            [UIColor colorWithRed:[self c:66] green:[self c:0] blue:[self c:255] alpha:1],
            [UIColor colorWithRed:[self c:104] green:[self c:0] blue:[self c:242] alpha:1],
            [UIColor colorWithRed:[self c:163] green:[self c:0] blue:[self c:188] alpha:1],
            [UIColor colorWithRed:[self c:209] green:[self c:0] blue:[self c:84] alpha:1],
            [UIColor colorWithRed:[self c:222] green:[self c:53] blue:[self c:0] alpha:1]];

    }
    return self;
}
- (double)c:(int)a
{
    return 1.0*a/255.0;
}
-(void)setValue:(int)value{
    if (value) {
        _value = value;
        self.backgroundColor = _color[[self getzhishu:value]];
        self.flag = YES;
        self.text = [NSString stringWithFormat:@"%c",'A' - 1 + [ self getzhishu:_value]];
    }
    else
    {
        _value = 0;
        self.backgroundColor = _color[0];
        self.flag = NO;
        self.text = @"";
    }
}
- (int)getzhishu:(int)n;
{
    int p = 0;
    while (n / 2) {
        p++;
        n /= 2;
    }
    return p;
}
+ (instancetype)myviewWithframe:(CGRect)frame
{
    MyView *t = [[MyView alloc]initWithFrame:frame];
    return t;
}
@end
