//
//  TouchView.m
//  TuYaBan2
//
//  Created by Ibokan on 15/9/24.
//  Copyright © 2015年 Crazy凡. All rights reserved.
//

#import "TouchView.h"

@interface TouchView ()
@property (nonatomic,assign)CGPoint pointa;
@property (nonatomic,assign)CGPoint pointb;
@end

@implementation TouchView

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    self.pointa = [[touches anyObject]locationInView:self];
}

- (void)touchesEnded:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    self.pointb = [[touches anyObject]locationInView:self];
    self.block([self getHandleMove]);
}

- (short)getHandleMove
{
    double x = _pointb.x - _pointa.x;
    double y = _pointb.y - _pointa.y;
    if (fabs(x)<fabs(y)) {
        return  y < 0 ? 0 : 2;
    }
    return x < 0 ? 1 : 3;
}
@end
