//
//  ViewController.m
//  My2048
//
//  Created by Ibokan on 15/10/19.
//  Copyright © 2015年 Crazy凡. All rights reserved.
//

#import "ViewController.h"
#import "MyViewMain.h"
#import "TouchView.h"

@interface ViewController ()
@property (nonatomic,strong) MyViewMain *pv;
@property (nonatomic,strong) TouchView *tv;
@property (nonatomic,strong) UILabel *fenshu;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    int w = self.view.frame.size.width;
    int h = self.view.frame.size.height;
    
    _pv = [[MyViewMain alloc]initWithFrame:CGRectMake(0, (h - w)/2.0, w, w)];
    [self.view addSubview:_pv];
    
    _tv = [[TouchView alloc]initWithFrame:self.view.bounds];
    [self.view addSubview:_tv];
    __weak __block ViewController *copy_self = self;
    [_tv setBlock:^(short n){
        [copy_self.pv moveWith:n];
        [copy_self.fenshu setText:[NSString stringWithFormat:@"%d",copy_self.pv.count]];
    }];
    
    _fenshu = [[UILabel alloc]initWithFrame:CGRectMake(30, 30, w - 60, 50)];
    [_fenshu setTextColor:[UIColor greenColor]];
    _fenshu.textAlignment = NSTextAlignmentRight;
    [self.view addSubview:_fenshu];
    
    //self.view.backgroundColor = [UIColor blackColor];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
